Developers

डेवलपर्स के लिए एपीआई संदर्भ

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

शुरू करना

सिस्टम द्वारा संसाधित किए जाने वाले अनुरोधों के लिए एक एपीआई कुंजी की आवश्यकता होती है। एक बार जब उपयोगकर्ता पंजीकृत हो जाता है, तो इस उपयोगकर्ता के लिए एक एपीआई कुंजी स्वचालित रूप से उत्पन्न हो जाती है। प्रत्येक अनुरोध के साथ एपीआई कुंजी भेजी जानी चाहिए (नीचे पूरा उदाहरण देखें)। यदि एपीआई कुंजी नहीं भेजी गई है या समाप्त हो गई है, तो एक त्रुटि होगी। दुरुपयोग को रोकने के लिए कृपया अपनी एपीआई कुंजी को गुप्त रखना सुनिश्चित करें।

प्रमाणीकरण

एपीआई प्रणाली के साथ प्रमाणित करने के लिए, आपको प्रत्येक अनुरोध के साथ अपनी एपीआई कुंजी को प्राधिकरण टोकन के रूप में भेजने की आवश्यकता है। आप नीचे नमूना कोड देख सकते हैं।

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

कीमत सीमा

हमारे एपीआई में इसकी स्थिरता को अधिकतम करने के अनुरोधों में स्पाइक के खिलाफ सुरक्षा के लिए एक दर सीमक है। हमारी दर सीमा वर्तमान में 30 अनुरोध प्रति 1 मिनट पर सीमित है। Xin lưu ý rằng tỷ giá có thể thay đổi tùy theo gói đã đăng ký.

प्रतिक्रिया के साथ कई हेडर भेजे जाएंगे और अनुरोध के बारे में विभिन्न जानकारी निर्धारित करने के लिए इनकी जांच की जा सकती है।

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

रिस्पांस हैंडलिंग

Mặc dù có thể sử dụng JSON JSON được thực hiện इसे प्रयोग करने योग्य डेटा में बदलने के लिए, भाषा के अनुसार उपयुक्त फ़ंक्शन का उपयोग करने की आवश्यकता होगी। PHP में, फ़ंक्शन json_decode() का उपयोग डेटा को किसी ऑब्जेक्ट (डिफ़ॉल्ट) या एक सरणी में पर Cứu trợ người ta phải làm việc (दूसरे पै सरा पैरा पैराा मीररे सरामीटर को सत्य पर सेट को सतेट करें)। त्रुटि कुंजी की जांच करना बहुत महत्वपूर्ण है क्योंकि इससे यह जानकारी मिलती है कि कोई त्रुटि हुई या नहीं। आप हेडर कोड भी देख सकते हैं।

{
    "error": 1,
    "message": "An error occurred"
}

Tài khoản

Nhận tài khoản

ĐƯỢC https://urlkai.com/api/account

Để lấy thông tin về tài khoản, bạn có thể gửi yêu cầu đến điểm cuối này và nó sẽ trả về dữ liệu trên tài khoản.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Cập nhật tài khoản

ĐỂ https://urlkai.com/api/account/update

Để cập nhật thông tin về tài khoản, bạn có thể gửi yêu cầu đến điểm cuối này và nó sẽ cập nhật dữ liệu trên tài khoản.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Account has been successfully updated."
}

Tập tin

Danh sách tệp

ĐƯỢC https://urlkai.com/api/files?limit=2&page=1

Nhận tất cả các tệp của bạn. Bạn cũng có thể tìm kiếm theo tên.

पैरामीटर विवरण
Tên (tùy chọn) Tìm kiếm tệp theo tên
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/ELvDO",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/LSnWo",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/SYxLp",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

Tải tệp lên

TRỤ https://urlkai.com/api/files/upload/:filename?name=My+File

Tải lên tệp bằng cách gửi dữ liệu nhị phân dưới dạng nội dung bài đăng. Bạn cần gửi tên tệp bao gồm phần mở rộng thay vì :filename trong url (ví dụ: brandkit.zip). Bạn có thể đặt các tùy chọn bằng cách gửi các thông số sau.

पैरामीटर विवरण
Tên (tùy chọn) Tên tập tin
phong tục (tùy chọn) Bí danh tùy chỉnh thay vì bí danh ngẫu nhiên.
miền (tùy chọn) Tên miền tùy chỉnh
mật khẩu (tùy chọn) Bảo vệ bằng mật khẩu
Hết hạn (tùy chọn) Hết hạn cho ví dụ tải xuống 2021-09-28
Tải xuống tối đa (tùy chọn) Số lần tải xuống tối đa
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/eLfUG"
}

अभियान

Liệt kê chiến dịch

ĐƯỢC https://urlkai.com/api/campaigns?limit=2&page=1

Để tải chiến dịch của bạn qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

एक अभियान बनाएं

TRỤ https://urlkai.com/api/campaign/add

Bạn có thể thêm chiến dịch bằng điểm cuối này.

पैरामीटर विवरण
Tên (tùy chọn) Tên chiến dịch
sên (tùy chọn) Sên xoay
công cộng (tùy chọn) Truy cập
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
TRỤ https://urlkai.com/api/campaign/:campaignid/assign/:linkid

Một liên kết ngắn có thể được gán cho một chiến dịch bằng cách sử dụng điểm cuối này. Điểm cuối yêu cầu ID chiến dịch và ID liên kết ngắn.

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

अभियान अपडेट करें

ĐỂ https://urlkai.com/api/campaign/:id/update

Để cập nhật chiến dịch, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
Tên (bắt buộc) Tên chiến dịch
sên (tùy chọn) Sên xoay
công cộng (tùy chọn) Truy cập
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

Xóa chiến dịch

XÓA https://urlkai.com/api/campaign/:id/delete

Để xóa chiến dịch, bạn cần gửi yêu cầu XÓA.

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

कस्टम स्पलैश

Danh sách Splash tùy chỉnh

ĐƯỢC https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

पैरामीटर विवरण
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

क्यूआर कोड

Liệt kê mã QR

ĐƯỢC https://urlkai.com/api/qr?limit=2&page=1

Để nhận mã QR của bạn qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Nhận một mã QR duy nhất

ĐƯỢC https://urlkai.com/api/qr/:id

Để nhận thông tin chi tiết cho một mã QR thông qua API, bạn có thể sử dụng điểm cuối này.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

Tạo mã QR

TRỤ https://urlkai.com/api/qr/add

Để tạo Mã QR, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu POST. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
kiểu (bắt buộc) văn bản | Thẻ vCard | liên kết | Thư điện tử | Điện thoại | SMS | Wifi
dữ liệu (bắt buộc) Dữ liệu được nhúng bên trong mã QR. Dữ liệu có thể là chuỗi hoặc mảng tùy thuộc vào loại
nền (tùy chọn) Màu RGB, ví dụ: rgb(255,255,255)
Foreground (tùy chọn) Màu RGB, ví dụ: rgb(0,0,0)
logo (tùy chọn) Đường dẫn đến logo png hoặc jpg
Tên (tùy chọn) Tên mã QR
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

Cập nhật mã QR

ĐỂ https://urlkai.com/api/qr/:id/update

Để cập nhật Mã QR, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
dữ liệu (bắt buộc) Dữ liệu được nhúng bên trong mã QR. Dữ liệu có thể là chuỗi hoặc mảng tùy thuộc vào loại
nền (tùy chọn) Màu RGB, ví dụ: rgb(255,255,255)
Foreground (tùy chọn) Màu RGB, ví dụ: rgb(0,0,0)
logo (tùy chọn) Đường dẫn đến logo png hoặc jpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "QR has been updated successfully."
}

Xóa mã QR

XÓA https://urlkai.com/api/qr/:id/delete

Để xóa mã QR, bạn cần gửi yêu cầu XÓA.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}

चैनल

Liệt kê kênh

ĐƯỢC https://urlkai.com/api/channels?limit=2&page=1

Để tải kênh của bạn qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

Liệt kê các mục kênh

ĐƯỢC https://urlkai.com/api/channel/:id?limit=1&page=1

Để lấy các mục trong một kênh được chọn thông qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

एक चैनल बनाएं

TRỤ https://urlkai.com/api/channel/add

Một kênh có thể được thêm vào bằng cách sử dụng điểm cuối này.

पैरामीटर विवरण
Tên (bắt buộc) Tên kênh
sự miêu tả (tùy chọn) Mô tả kênh
màu (tùy chọn) Màu huy hiệu kênh (HEX)
Đóng (tùy chọn) Gắn dấu sao cho kênh hay không (đúng hoặc sai)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

Gán một mục cho một kênh

TRỤ https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

Một mục có thể được gán cho bất kỳ kênh nào bằng cách gửi yêu cầu với id kênh, loại mục (liên kết, tiểu sử hoặc qr) và id mục.

पैरामीटर विवरण
:kênhid (bắt buộc) ID kênh
:kiểu (bắt buộc) liên kết hoặc tiểu sử hoặc QR
:itemid (bắt buộc) ID mặt hàng
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

चैनल अपडेट करें

ĐỂ https://urlkai.com/api/channel/:id/update

Để cập nhật kênh, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
Tên (tùy chọn) Tên kênh
sự miêu tả (tùy chọn) Mô tả kênh
màu (tùy chọn) Màu huy hiệu kênh (HEX)
Đóng (tùy chọn) Gắn dấu sao cho kênh hay không (đúng hoặc sai)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

Xóa kênh

XÓA https://urlkai.com/api/channel/:id/delete

Để xóa kênh, bạn cần gửi yêu cầu XÓA. Tất cả các vật phẩm cũng sẽ không được chỉ định.

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

पिक्सल

Danh sách pixel

ĐƯỢC https://urlkai.com/api/pixels?limit=2&page=1

Để lấy mã pixel của bạn thông qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Tạo Pixel

TRỤ https://urlkai.com/api/pixel/add

Một pixel có thể được tạo bằng điểm cuối này. Bạn cần gửi loại pixel và thẻ.

पैरामीटर विवरण
kiểu (bắt buộc) gtmpixel | Gapixel | FBPIXEL | AdwordsPixel | Linkedinpixel | Twitterpixel | Adrollpixel | Quorapixel | Pinterest | Bing | Snapchat | Reddit | Tiktok
Tên (bắt buộc) Tên tùy chỉnh cho pixel
thẻ (bắt buộc) Thẻ cho pixel
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "id": 1
}

पिक्सेल अपडेट करें

ĐỂ https://urlkai.com/api/pixel/:id/update

Để cập nhật pixel, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
Tên (tùy chọn) Tên tùy chỉnh cho pixel
thẻ (bắt buộc) Thẻ cho pixel
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

Xóa Pixel

XÓA https://urlkai.com/api/pixel/:id/delete

Để xóa pixel, bạn cần gửi yêu cầu XÓA.

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

ब्रांडेड डोमेन

Liệt kê tên miền có thương hiệu

ĐƯỢC https://urlkai.com/api/domains?limit=2&page=1

Để nhận miền có thương hiệu của bạn thông qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

Tạo tên miền có thương hiệu

TRỤ https://urlkai.com/api/domain/add

Một miền có thể được thêm vào bằng cách sử dụng điểm cuối này. Vui lòng đảm bảo tên miền được trỏ chính xác đến máy chủ của chúng tôi.

पैरामीटर विवरण
miền (bắt buộc) Tên miền có thương hiệu bao gồm http hoặc https
chuyển hướngroot (tùy chọn) Chuyển hướng gốc khi ai đó truy cập miền của bạn
chuyển hướng404 (tùy chọn) Chuyển hướng 404 tùy chỉnh
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "id": 1
}

डोमेन अपडेट करें

ĐỂ https://urlkai.com/api/domain/:id/update

Để cập nhật tên miền có thương hiệu, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
chuyển hướngroot (tùy chọn) Chuyển hướng gốc khi ai đó truy cập miền của bạn
chuyển hướng404 (tùy chọn) Chuyển hướng 404 tùy chỉnh
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

Xóa tên miền

XÓA https://urlkai.com/api/domain/:id/delete

Để xóa miền, bạn cần gửi yêu cầu DELETE.

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

सीटीए ओवरले

Liệt kê lớp phủ CTA

ĐƯỢC https://urlkai.com/api/overlay?limit=2&page=1

Để nhận lớp phủ cta thông qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

पैरामीटर विवरण
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

सर्वर प्रतिक्रिया

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}